Subject: [bug#53648] [PATCH] gnu: fcitx5-gtk: Add GTK 4 support.

From: Zhu Zihao <[email-masked]>
Date: Mon, 07 Feb 2022 12:25:14 +0800

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Zhu Zihao schreef op ma 07-02-2022 om 00:02 [+0800]:
>> Maxime Devos <[email-masked]> writes:
>> 
>> > What's the point of building for three separate gtk versions?
>> > Why not just build for gtk@4?
>> 
>> Many packages still use GTK3, aren't they?
>> 
>> > Also, if we go for multiple outputs, shouldn't the latest gtk
>> version
>> > go into "out" instead of the middle version gtk@3?
>> 
>> IMO, GTK3 is still majority, so put it under "out", and make gtk2 and
>> gtk4 separated.
>
> It doesn't seem relevant to me that most packages use gtk+@3,
> since fcitx5-gtk is not most packages.  Majority is irrelevant here.
>
> Anyways, we try to use the latest version of packages in Guix whenever
> feasible (for features, for bugfixes, because eventually the old
> versions will be unsupported upstream and to have less versions to
> keep track of), and gtk@4 is the latest version of gtk, so it seems to
> me that we should simplify things here by just using the latest version
> of gtk, i.e., gtk@4.
>
> Greetings,
> Maximes
>
> [[End of PGP Signed Part]]

It matters, because fcitx5-gtk is not a GTK *application*, it provides
IM module for GTK applications. Guix users may have both GTK3 & GTK4
application in same environment. If we drop gtk3 (or even gtk2), their
input method will be broken.

I just check the comment left by iyzsong, and I think it's better to
make the glib client in "out", and make IM module for different GTK
version in "gtk2" "gtk3" "gtk4" output. Thoughts?
-- 
Retrieve my PGP public key:

  gpg --recv-keys D47A9C8B2AE3905B563D9135BE42B352A9F6821F

Zihao